diff -urp r1548/chipset_enable.c new/chipset_enable.c
--- r1548/chipset_enable.c	2012-07-20 09:45:51.000000000 +0200
+++ new/chipset_enable.c	2012-07-24 09:53:46.000000000 +0200
@@ -525,7 +525,7 @@ static int enable_flash_ich_dc_spi(struc
 	static const char *const straps_names_EP80579[] = { "SPI", "reserved", "reserved", "LPC" };
 	static const char *const straps_names_ich7_nm10[] = { "reserved", "SPI", "PCI", "LPC" };
 	static const char *const straps_names_ich8910[] = { "SPI", "SPI", "PCI", "LPC" };
-	static const char *const straps_names_pch56[] = { "LPC", "reserved", "PCI", "SPI" };
+	static const char *const straps_names_pch567[] = { "LPC", "reserved", "PCI", "SPI" };
 	static const char *const straps_names_unknown[] = { "unknown", "unknown", "unknown", "unknown" };
 
 	switch (ich_generation) {
@@ -545,7 +545,8 @@ static int enable_flash_ich_dc_spi(struc
 		break;
 	case CHIPSET_5_SERIES_IBEX_PEAK:
 	case CHIPSET_6_SERIES_COUGAR_POINT:
-		straps_names = straps_names_pch56;
+	case CHIPSET_7_SERIES_PANTHER_POINT:
+		straps_names = straps_names_pch567;
 		break;
 	default:
 		msg_gerr("%s: unknown ICH generation. Please report!\n",
@@ -1297,6 +1298,7 @@ const struct penable chipset_enables[] =
 	{0x8086, 0x1e46, NT, "Intel", "Z75",		enable_flash_pch7},
 	{0x8086, 0x1e49, NT, "Intel", "B75",		enable_flash_pch7},
 	{0x8086, 0x1e4a, NT, "Intel", "H77",		enable_flash_pch7},
+	{0x8086, 0x1e55, OK, "Intel", "QM77",		enable_flash_pch7},
 	{0x8086, 0x1e57, NT, "Intel", "HM77",		enable_flash_pch7},
 	{0x8086, 0x1e58, NT, "Intel", "UM77",		enable_flash_pch7},
 	{0x8086, 0x1e59, NT, "Intel", "HM76",		enable_flash_pch7},
